Page MenuHomePhabricator

Update the block notices on mobile web to be page specific
Closed, ResolvedPublic5 Story Points

Description

Problem
Mobile web editor's block notices are not page specific.

Solution
Once an API exists to check for a page-specific block (See T194585) Mobile web editor (for logged in and IP users) should be updated to use this API to determine if the current user is blocked from editing the page.

Event Timeline

dbarratt created this task.Jun 13 2018, 3:09 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptJun 13 2018, 3:09 PM
dbarratt renamed this task from Fix Mobile web block notices to be page specific to Update Mobile web block notices to be page specific.Jun 13 2018, 3:34 PM
Jdlrobson moved this task from Backlog to New adventures on the MinervaNeue board.Jun 13 2018, 3:57 PM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.Jun 13 2018, 4:43 PM
Vvjjkkii renamed this task from Update Mobile web block notices to be page specific to p3aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Scott renamed this task from p3aaaaaaaa to Update Mobile web block notices to be page specific.Jul 1 2018, 4:57 PM
Scott lowered the priority of this task from High to Normal.
Scott updated the task description. (Show Details)
Scott added a subscriber: Aklapper.
dbarratt renamed this task from Update Mobile web block notices to be page specific to Update mobile web block notices to be page specific.Sep 7 2018, 6:12 PM
TBolliger renamed this task from Update mobile web block notices to be page specific to Update mobile web (Minerva) block notices to be page specific.Sep 7 2018, 6:12 PM
TBolliger renamed this task from Update mobile web (Minerva) block notices to be page specific to Update the block notices on mobile web to be page specific.
TBolliger set the point value for this task to 5.Sep 7 2018, 6:22 PM
dbarratt updated the task description. (Show Details)Sep 24 2018, 8:55 PM
dbarratt updated the task description. (Show Details)
dbarratt updated the task description. (Show Details)Sep 24 2018, 9:04 PM
matmarex removed a subscriber: matmarex.Sep 25 2018, 5:59 AM
dbarratt claimed this task.Oct 9 2018, 8:51 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 30) board.
dbarratt added a subscriber: TBolliger.

@TBolliger What would you like this to be updated to?

I just dummied this up for a slide deck. :)

Your account has been blocked from editing this page

dbarratt removed dbarratt as the assignee of this task.Oct 9 2018, 9:27 PM
dbarratt moved this task from In progress to Ready on the Anti-Harassment (AHT Sprint 30) board.
dbarratt claimed this task.Oct 16 2018, 4:39 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 31) board.

Change 468013 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/MobileFrontend@master] Update the block notices to be page specific.

https://gerrit.wikimedia.org/r/468013

Ping me if you need any follow up help from reading web. I think you can take this patch from here!

Change 468013 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update the block notices to be page specific.

https://gerrit.wikimedia.org/r/468013

dbarratt closed this task as Resolved.Nov 5 2018, 2:31 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 32) board.